VRPlatformVRPlatform
Metrics

/metrics/revenue

Revenue metric (PM Revenue vs Gross Guest Revenue)

GET
/metrics/revenue
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

dimension?string
Default"month"
Value in"month" | "week" | "day" | "year"
startDate*string

Date boundary string. Accepted syntax: YYYY, YYYY-MM, or YYYY-MM-DD.

Formatvrp-date-boundary
endDate*string

Date boundary string. Accepted syntax: YYYY, YYYY-MM, or YYYY-MM-DD.

Formatvrp-date-boundary

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/metrics/revenue?startDate=2024-01-15&endDate=2024-01-15"
{
  "data": [
    {
      "date": "string",
      "grossGuestRevenue": 0,
      "pmRevenue": 0
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}